QGIS Application - Bug report #7240
Copy and Paste of Features does not work
2013-02-26 11:44 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 16268
Description

When copying and pasting features from one layer to another nothing happens.

Maybe a problem of the new Vector API?

Tested on Windows (OSGeo4W - recent nightly build) with Postgis layers and line geometries.

History

#1 - 2013-02-27 11:42 AM - Giovanni Manghi
- Status changed from Open to Feedback

It works here on master/ubuntu. Can you a sample? cheers!

#2 - 2013-02-27 11:55 AM - Andreas Neumann

Hi Giovanni,

Did you also test with 2 Postgis Layers or just with shapes or spatialite?

Andreas

#3 - 2013-02-27 12:05 PM - Giovanni Manghi

Giovanni Manghi wrote:

It works here on master/ubuntu. Can you add a sample? cheers!

#4 - 2013-02-27 12:05 PM - Giovanni Manghi

Andreas Neumann wrote:

Hi Giovanni,

Did you also test with 2 Postgis Layers or just with shapes or spatialite?
Andreas

| will test postgis and report back (tested shapes and SL). cheers

#5 - 2013-02-27 12:07 PM - Jiirgen Fischer

Giovanni Manghi wrote:

Giovanni Manghi wrote:

It works here on master/ubuntu. Can you add a sample? cheers!

Works for me with two postgis line layers, too. Anything special about your layers? | just d&d one line layer from one user to another, clean it, and then

copied some features - apparently worked fine.

#6 - 2013-02-27 12:22 PM - Andreas Neumann

ok - | have to test again tomorrow at work. | don't have the project with me. Thank you both for testing!

Andreas

#7 - 2013-03-04 07:35 AM - Andreas Neumann
- Resolution set to invalid

Turned out that it is my fault. A layer filter prevented it to display the feature. Sorry about the fusss!

#8 - 2013-03-04 07:36 AM - Andreas Neumann
- Status changed from Feedback to Closed
